Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608420 - Review Request: perl-Test-Regression - Test library that can generate outputs and compare against them
Review Request: perl-Test-Regression - Test library that can generate outputs...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 09:22 EDT by Emmanuel Seyman
Modified: 2010-08-02 20:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Test-Regression-0.05-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 20:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2010-06-27 09:22:39 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Test-Regression/perl-Test-Regression.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Test-Regression/perl-Test-Regression-0.05-1.fc13.src.rpm
Description:
Using the various Test:: modules you can compare the output of a function
against what you expect. However if the output is complex and changes from
version to version, maintenance of the expected output could be costly.
This module allows one to use the test code to generate the expected
output, so that if the differences with model output are expected, one can
easily refresh the model output.
Comment 1 Iain Arnell 2010-07-14 23:51:49 EDT
+ source files match upstream.  
    48019aa641a27d5010f79d1d3f455b36  Test-Regression-0.05.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2321042

+ package installs properly.
- rpmlint has a meaningful complaint:
    perl-Test-Regression.noarch: I: checking
    perl-Test-Regression.noarch: I: checking-url http://search.cpan.org/dist/Test-Regression/ (timeout 10 seconds)
    perl-Test-Regression.src: I: checking
    perl-Test-Regression.src: I: checking-url http://search.cpan.org/dist/Test-Regression/ (timeout 10 seconds)
    perl-Test-Regression.src: I: checking-url http://www.cpan.org/modules/by-module/Test/Test-Regression-0.05.tar.gz (timeout 10 seconds)
    perl-Test-Regression.src: W: invalid-url Source0: http://www.cpan.org/modules/by-module/Test/Test-Regression-0.05.tar.gz HTTP Error 404: Not Found
    2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ final provides and requires are sane:
    perl(Test::Regression) = 0.05
    perl-Test-Regression = 0.05-1.fc14
=
    perl(base)  
    perl(FileHandle)  
    perl(:MODULE_COMPAT_5.12.1)  
    perl(strict)  
    perl(Test::Builder::Module)  
    perl(Test::Differences)  
    perl(warnings)  

+ %check is present and all tests pass.
    + ./Build test
    # Testing Test::Regression 0.05, Perl 5.012001, /usr/bin/perl
    t/00-load.t ....... ok
    t/boilerplate.t ... ok
    t/changes.t ....... skipped: Author test.  Set $ENV{TEST_AUTHOR} to a true value to run.
    t/manifest.t ...... skipped: Author test.  Set $ENV{TEST_AUTHOR} to a true value to run.
    t/open.t .......... ok
    t/perlcritic.t .... skipped: Author test.  Set $ENV{TEST_AUTHOR} to a true value to run.
    t/pod-coverage.t .. skipped: Test::Pod::Coverage 1.08 required for testing POD coverage
    t/pod.t ........... skipped: Test::Pod 1.22 required for testing POD
    t/podspell.t ...... skipped: Author test.  Set $ENV{TEST_AUTHOR} to a true value to run.
    t/prereq.t ........ skipped: Author test.  Set $ENV{TEST_PREREQ} to a true value to run.
    t/print.t ......... ok
    t/regression.t .... ok
    All tests successful.
    Files=12, Tests=10,  0 wallclock secs ( 0.04 usr  0.02 sys +  0.41 cusr  0.06 csys =  0.53 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


Source0 is not found. Replace with http://search.cpan.org/CPAN/authors/id/S/SI/SILASMONK/Test-Regression-0.05.tar.gz and you're good to go.

The skipped author tests are okay, but you may want to BR perl(Test::Pod::Coverage) to enable the pod tests.

APPROVED.
Comment 2 Emmanuel Seyman 2010-07-15 02:12:57 EDT
(In reply to comment #1)
>
> Source0 is not found. Replace with
> http://search.cpan.org/CPAN/authors/id/S/SI/SILASMONK/Test-Regression-0.05.tar.gz
> and you're good to go.

Done. Thanks for the review, Ian. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Test-Regression
Short Description: Test library that can generate outputs and compare against them
Owners: eseyman
Branches: F-12 F-13
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2010-07-16 13:33:52 EDT
CVS done (by process-cvs-requests.py).
Comment 4 Fedora Update System 2010-07-17 05:11:19 EDT
perl-Test-Regression-0.05-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Test-Regression-0.05-1.fc12
Comment 5 Fedora Update System 2010-07-17 05:11:27 EDT
perl-Test-Regression-0.05-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Test-Regression-0.05-1.fc13
Comment 6 Fedora Update System 2010-07-20 18:46:08 EDT
perl-Test-Regression-0.05-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Test-Regression'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Test-Regression-0.05-1.fc13
Comment 7 Fedora Update System 2010-08-02 20:55:52 EDT
perl-Test-Regression-0.05-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-08-02 20:58:18 EDT
perl-Test-Regression-0.05-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.